Page MenuHomePhabricator

Hash all pageTokens or temporary identifiers from the EL Sanitization white-list as needed for iOS
Closed, ResolvedPublic

Details

Related Gerrit Patches:

Event Timeline

fdans moved this task from Incoming to Radar on the Analytics board.Jul 1 2019, 3:51 PM
chelsyx triaged this task as Medium priority.Jul 1 2019, 10:34 PM
chelsyx moved this task from Triage to Doing on the Product-Analytics board.

Change 520134 had a related patch set uploaded (by Chelsyx; owner: Chelsyx):
[analytics/refinery@master] Hash tokens from the EL Sanitization white-list for iOS app

https://gerrit.wikimedia.org/r/520134

I hash the tokens for the following EL schemas used by the iOS app:

MobileWikiAppEdit
MobileWikiAppLogin
MobileWikiAppNavMenu
MobileWikiAppProtectedEditAttempt
MobileWikiAppSavedPages
MobileWikiAppShareAFact
MobileWikiAppToCInteraction

Please review. Thanks!

@mforns can you please review the patch? Thanks!

Change 520134 merged by Nuria:
[analytics/refinery@master] Hash tokens from the EL Sanitization white-list for iOS app

https://gerrit.wikimedia.org/r/520134

Change 525280 had a related patch set uploaded (by Bearloga; owner: Bearloga):
[analytics/refinery@master] Hash temporary identifiers in app schemas

https://gerrit.wikimedia.org/r/525280

Change 525280 merged by Mforns:
[analytics/refinery@master] Hash temporary identifiers in app schemas

https://gerrit.wikimedia.org/r/525280

Aklapper removed chelsyx as the assignee of this task.Aug 12 2019, 12:06 AM
kzimmerman closed this task as Resolved.Sep 3 2019, 5:38 PM
kzimmerman claimed this task.

Looks like the patch was merged by @mforns (correct me if I'm wrong)